Bug 502380 - alsa-plugins-pulseaudio problems
alsa-plugins-pulseaudio problems
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: alsa-plugins (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-24 11:02 EDT by David
Modified: 2009-08-28 07:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 16:47:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2009-05-24 11:02:02 EDT
Description of problem:
After installing alsa-plugins-pulseaudio, sound
doesn't work on my system and alsamixer is crippled.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. uninstall pulseaudio and get sound working with alsamixer
2. install pulseaudio and alsa-plugins-pulseaudio
3.
  
Actual results:

can't hear output of aplay with file that played before
installing also-plugins-pulse-audio

Also, alsamixer has removed the most of the controls necessary
to get sound working on this system.

Removing alsa-plugins-pulseaudio mostly fixes the problem.  alsamixer
has more settings available but still not as many as without pulseaudio.

Additional info:

This problem has persisted since f8 test.  Here's a link
to an old mailing list thread that discusses this problem.

https://listman.redhat.com/archives/rhl-beta-list/2007-October/msg00677.html
https://listman.redhat.com/archives/rhl-beta-list/2007-October/msg00901.html
https://listman.redhat.com/archives/rhl-beta-list/2007-October/msg00924.html
Comment 1 Eric Moret 2009-05-26 19:03:11 EDT
Reassigning to Lennart who is the upstream maintainer of pulseaudio.
Comment 2 Bug Zapper 2009-06-09 12:29:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Fogle 2009-06-17 14:19:57 EDT
Time for a  Fedora noob question, where would I get the Rawhide alsa package at? Too much of my life in Debian land.
Comment 5 Lennart Poettering 2009-07-31 10:13:30 EDT
Does this prblem still exist?

Does the stream show up in pavucontrol? Are you sure you are playing it on the right device?
Comment 6 David 2009-07-31 21:52:04 EDT
arecord/aplay seem to be working right now after installing pulseaudio and alsa-plugins-pulseaudio.  I haven't tried rebooting to see if it works after a reboot, but I'm pretty sure it's working better than before.  Skype worked
before installing pulseaudio and does not work now... I get a message
"problem with Audio Playback" when I try to place a call.

I still see a decreased menu of alsamixer options after installing pulseaudio.  Here's the amixer output before:

Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 30 [97%] [-1.50dB] [on]
  Front Right: Playback 30 [97%] [-1.50dB] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 213 [84%] [-8.40dB]
  Front Right: Playback 213 [84%] [-8.40dB]
Simple mixer control 'LFE',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 28 [90%] [-4.50dB] [on]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 15
  Front Left: Capture 9 [60%] [13.50dB] [on]
  Front Right: Capture 9 [60%] [13.50dB] [on]
Simple mixer control 'Digital',0
  Capabilities: cvolume
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 120
  Front Left: Capture 80 [67%] [10.00dB]
  Front Right: Capture 80 [67%] [10.00dB]
Simple mixer control 'Input Source',0
  Capabilities: cenum
  Items: 'Mic' 'Front Mic' 'Line'
  Item0: 'Front Mic'
Simple mixer control 'Mux',0
  Capabilities: cvolume
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 4
  Front Left: Capture 3 [75%] [30.00dB]
  Front Right: Capture 3 [75%] [30.00dB]


And here's the amixer output after:
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 65536
  Mono:
  Front Left: Playback 45876 [70%] [on]
  Front Right: Playback 45876 [70%] [on]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch cswitch-joined
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 65536
  Front Left: Capture 59638 [91%] [on]
  Front Right: Capture 58983 [90%] [on]
Comment 7 Lennart Poettering 2009-08-01 12:32:07 EDT
No clue about closed-source Skype. But besdies Skype all problems are fixed now?
Comment 8 David 2009-08-02 00:23:14 EDT
The only thing I use sound for is skype and my kid watches stuff on youtube and cartoon network using a flash plugin that is also closed source.  These all work without pulseaudio and they do not work with pulseaudio AFAICT.  Not sure about anything else except aplay/arecord now do work and alsamixer is crippled.
Comment 9 Lennart Poettering 2009-08-10 16:47:42 EDT
flash nowadays works fine with PA out-of-the box.

If skype is broken, please file a bug against skype. There's not much we can do about it, sicne it is closed source, and the last release is already quite old.
Comment 10 Stephan Groß 2009-08-28 07:54:04 EDT
I have just installed skype 2.1.0.47 beta which solved the problem for me. Please be aware, that you might have to disable Skype's automatic sound configuration to enable your mic.

Note You need to log in before you can comment on or make changes to this bug.